.user-block img {
    float: left;
    height: 40px;
    width: 40px;
}

.img-circle {
    border-radius: 50%;
}

.user-block .username {
    font-size: 16px;
    	font-weight: 600;
    font-weight: 500;
    margin-top: -1px;
    
    	color: #007bff;
    color: var(--bs-breadcrumb-item-active-color);
}

.user-block .comment, .user-block .description, .user-block .username {
    display: block;
    margin-left: 50px;
}

.user-block .description {
    color: #6c757d;
    font-size: 13px;
    margin-top: -3px;
}

.user-block {
    float: left;
}

.clear{
	clear: both;
}

@media(max-width: 575.989px){
	.app-content>.container, .app-content>.container-fluid, .app-content-header>.container-fluid{
		padding-left: 0;
		padding-right: 0;
	}
}

.card-body > .card-tools {
    float: right;
    margin-right: -0.5rem;
}

.search-bar{
	
}

.card-header>.card-tools .input-group, .card-header>.card-tools .nav, .card-header>.card-tools .pagination {
    margin-bottom: -.3rem;
    margin-top: -.3rem;
}


.input-group-append {
    margin-left: -1px;
}


.input-group-sm>.custom-select, .input-group-sm>.form-control:not(textarea) {
    height: calc(1.8125rem + 2px);
}

.input-group-sm>.custom-select, .input-group-sm>.form-control, .input-group-sm>.input-group-append>.btn, .input-group-sm>.input-group-append>.input-group-text, .input-group-sm>.input-group-prepend>.btn, .input-group-sm>.input-group-prepend>.input-group-text {
    padding: .25rem .5rem;
    font-size: .875rem;
    line-height: 1.5;
    border-radius: .2rem;
}

.float-right {
    float: right !important;
}

.btn-default {
    background-color: #f8f9fa;
    border-color: #ddd;
    color: #444;
}

.input-group:not(.has-validation)>.custom-file:not(:last-child) .custom-file-label, .input-group:not(.has-validation)>.custom-file:not(:last-child) .custom-file-label::after, .input-group:not(.has-validation)>.custom-select:not(:last-child), .input-group:not(.has-validation)>.form-control:not(:last-child) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.input-group>.input-group-append>.btn, .input-group>.input-group-append>.input-group-text, .input-group>.input-group-prepend:first-child>.btn:not(:first-child), .input-group>.input-group-prepend:first-child>.input-group-text:not(:first-child), .input-group>.input-group-prepend:not(:first-child)>.btn, .input-group>.input-group-prepend:not(:first-child)>.input-group-text {
    border-top-left-radius: 0;
    border-bottom-left-radius: 0;
}

.card .no-bb{
	border-bottom: none;
}
.input-group .btn:hover{
	border-color: #ddd;
}

body .input-group{
	width: auto;
}


.btn-block {
    display: block;
    width: 100%;
}

body .btn{
	--bs-btn-box-shadow: none;
}
body .form-control{
	--bs-box-shadow-inset: none;
}


/* start pagination */

.paginatorextendwrapper a {
	padding: .25rem .5rem;
	padding: .37rem .75rem;
	font-size: .875rem;
	line-height: 1.5;
	color: #007bff;
	background-color: #fff;
	position: relative;
	display: block;
	border: 1px solid #f4f6f9;
	margin-left: -1px;
	transition: color 0.15s, background 0.15s;
}

.paginatorextendwrapper {
	display: -ms-flexbox;
	display: flex;
	padding-left: 0;
	list-style: none;
	border-radius: .25rem;
}
.paginatorextendwrapper .backlink, .paginatorextendwrapper .prevlink, .paginatorextendwrapper .nextlink, .paginatorextendwrapper .endlink {
	font-family: "Font Awesome 5 Free";
	font-weight: 900;
}
.paginatorextendwrapper .backlink:before {
	content: "\f100";
}
.paginatorextendwrapper .prevlink:before {
	content: "\f104";
}
.paginatorextendwrapper .nextlink:before {
	content: "\f105";
}
.paginatorextendwrapper .endlink:before {
	content: "\f101";
}
.paginatorextendwrapper .activepage {
	background: #ddd;
	background: #007bff;
	color: #fff;
}
.paginatorextendwrapper span {
	padding: 0 5px;
}
.paginatorextendwrapper a:hover {
	background: #e7e7e7;
}
.paginatorextendwrapper a.activepage:hover {
	background: #ddd;
	background: #007bff;
	color: #fff;
}
.paginatorextendwrapper .disabled {
	cursor: default !important;
	color: #e5e5e5;
	background: #fff !important;
}

/* end pag */



.page-text {
    background-color: #fff;
    border: 1px solid rgba(0, 0, 0, .125);
    position: relative;
}

.app-main .app-content-header .breadcrumb{
	line-height: 1.5rem;
	font-size: 14px;
}

.link-underline{
	text-decoration: underline;
}





.header-jb{
	display: flex;
    align-items: center;
    justify-content: space-between;
}

.header-jb:after{
	display: none !important;
}

.direct-chat-messages.h-auto{
	height: auto;
}


.direct-chat-msg {
    margin-bottom: 15px;
}

.reply-msg{
	padding-left: 50px;
}
.reply-msg .direct-chat-text{
	color: #fff;;
    background-color: #5597f9;/*#0d6efd;*/
    border-color: #5597f9;/*#0d6efd;*/
}


.end > .direct-chat-text::after, .end > .direct-chat-text::before {
    border-left-color: #5597f9;
}
.end .direct-chat-text::after, .end .direct-chat-text::before {
    right: auto;
    left: 100%;
    border-right-color: transparent;
}


.replay-bar{
	padding-left: 52px;
	font-size: 14px;
	padding-top: 6px;
}
.replay-bar .replay-btn{
	cursor: pointer;
	text-decoration: underline;
}

.cancel-reply{
	cursor: pointer;
	text-decoration: underline;
}

.reply-marker{
	visibility: hidden;
	opacity: 0;
}

.reply-marker.active{
	visibility: visible;
	opacity: 1;
	transition: all 0.6s;
}

label{
	cursor: pointer;
}

.card-tools .btn-tool.active{
	color: green;
}
.card-tools .btn-fav.active{
	color: crimson;
}


.card-post{
	position: relative;
	border-radius: 6px;
	height: 100%;
	background: #fff;
}
.card-post a{
	position: relative;
}
.card-post a:before{
	content: "";
	display: block;
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: linear-gradient(0deg, rgb(255 255 255 / 5%) 0%, rgb(255 255 255 / 4%) 20%, rgb(255 255 255 / 20%) 90%);
}
.card-post:hover a:before{
	opacity: 0;
	transition: all 0.3s;
}


.cardpost-data{
	display: flex;
	flex-direction: column;
	position: relative;
	padding: 14px 12px;
	z-index: 3;
	background: #fff;
	border-radius: 0 0 6px 6px;
}
.cardpost-data h3{
	font-size: 22px;
	margin-bottom: 0;
	font-weight: 500;
	
}
.author-name{
	Xposition: absolute;
	z-index: 3;
	Xtop: 5px;
	Xright: 8px;
	display: flex;
	align-items: center;
	margin-top: 10px;
	font-size: 15px;
	width: calc(100% - 20px);
	justify-content: space-between;
	flex-wrap: nowrap;
}

.author-name .btn{
	padding-left: 2px;
	padding-right: 2px;
	cursor: default;
}

.card-post .author-name img{
	width: 20px;
	height: 20px;
	border-radius: 100%;
	margin-right: 4px;
}
.author-name span{
	line-height: 1.0;
}

.card-post img{
	border-radius: 6px 6px 0 0;
}

.catname-list{
	font-size: 14px;
	margin-bottom: 4px;
	display: flex;
	justify-content: space-between;
}

@media(min-width: 576px){
	.cardpost-data h3{
		Xmin-height: 43px;
		font-size: 18px;
	}
	.cardpost-data{
		padding-bottom: 38px;
	}
	.author-name{
		margin-top: 7px;
		position: absolute;
        bottom: 9px;
        left: 10px;
	}
}

.label-post{
	position: absolute;
	top: 4px;
	left: 8px;
	color: #ea4984;
	z-index: 2;
	font-size: 26px;
}

.unreead-comment:after{
	content: "";
    width: 4px;
    height: 4px;
    border-radius: 100%;
    background: magenta;
    top: 0;
    right: 0;
    display: inline-block;
    position: absolute;
}



@media (min-width: 1200px) {
    h2, .h2 {
        font-size: 1.7rem;
    }
    h2, .h3 {
        font-size: 1.4rem;
    }
}









